## org.eclipse.datatools.modelbase.dbdefinition
Interface NicknameDefinition

All Known Implementing Classes:
  NicknameDefinitionImpl

    public interface NicknameDefinition

A representation of the model object 'Nickname Definition'.

The following features are supported:

- `Constraint Supported`
- `Index Supported`
- `Maximum Identifier Length`

See Also:
  `DatabaseDefinitionPackage.getNicknameDefinition()`

Method Summary
`int` `getMaximumIdentifierLength()` Returns the value of the 'Maximum Identifier Length' attribute.
`boolean` `isConstraintSupported()` Returns the value of the 'Constraint Supported' attribute.
`boolean` `isIndexSupported()` Returns the value of the 'Index Supported' attribute.
`void` `setConstraintSupported(boolean value)` Sets the value of the '`Constraint Supported`' attribute.
`void` `setIndexSupported(boolean value)` Sets the value of the '`Index Supported`' attribute.
`void` `setMaximumIdentifierLength(int value)` Sets the value of the '`Maximum Identifier Length`' attribute.

Method Detail

### isConstraintSupported

    boolean isConstraintSupported()

  Returns the value of the 'Constraint Supported' attribute.

  If the meaning of the 'Constraint Supported' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Constraint Supported' attribute.
  See Also:
    `setConstraintSupported(boolean)`, `DatabaseDefinitionPackage.getNicknameDefinition_ConstraintSupported()`

### setConstraintSupported

    void setConstraintSupported(boolean value)

  Sets the value of the '`Constraint Supported`' attribute.

  Parameters:
    `value` - the new value of the 'Constraint Supported' attribute.
  See Also:
    `isConstraintSupported()`

### isIndexSupported

    boolean isIndexSupported()

  Returns the value of the 'Index Supported' attribute.

  If the meaning of the 'Index Supported' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Index Supported' attribute.
  See Also:
    `setIndexSupported(boolean)`, `DatabaseDefinitionPackage.getNicknameDefinition_IndexSupported()`

### setIndexSupported

    void setIndexSupported(boolean value)

  Sets the value of the '`Index Supported`' attribute.

  Parameters:
    `value` - the new value of the 'Index Supported' attribute.
  See Also:
    `isIndexSupported()`

### getMaximumIdentifierLength

    int getMaximumIdentifierLength()

  Returns the value of the 'Maximum Identifier Length' attribute.

  If the meaning of the 'Maximum Identifier Length' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Maximum Identifier Length' attribute.
  See Also:
    `setMaximumIdentifierLength(int)`, `DatabaseDefinitionPackage.getNicknameDefinition_MaximumIdentifierLength()`

### setMaximumIdentifierLength

    void setMaximumIdentifierLength(int value)

  Sets the value of the '`Maximum Identifier Length`' attribute.

  Parameters:
    `value` - the new value of the 'Maximum Identifier Length' attribute.
  See Also:
    `getMaximumIdentifierLength()`

Copyright © 2006 -- 2008 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.